%define upstream_name    Class-Std
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Support for creating standard "inside-out" classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Support for creating standard "inside-out" classes

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Class/Std*
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.13.0-7.mga10
+ Revision: 2198001
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.13.0-6.mga9
+ Revision: 1802515
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.13.0-5.mga8
+ Revision: 1493555
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.13.0-4.mga7
+ Revision: 1266510
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.13.0-3.mga6
+ Revision: 1024249
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.13.0-2.mga6
+ Revision: 967896
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 850543
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-5.mga5
+ Revision: 751085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 683942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11.0-3.mga4
+ Revision: 510072
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.11.0-2.mga3
+ Revision: 364520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 25932
- mageia rebuild
- imported package perl-Class-Std


* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.11.0-1mdv2011.0
+ Revision: 483036
- update to 0.011

* Thu Dec 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.11.0-1mdv2010.1
+ Revision: 482081
- update to 0.011
- update to 0.010

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0.9-3mdv2010.0
+ Revision: 430333
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.0.9-2mdv2009.0
+ Revision: 268400
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.9-1mdv2009.0
+ Revision: 195213
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 26 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> v0.0.8-1mdv2008.0
+ Revision: 31539
- add perl-version to BuildRequires to avoid tests to fail
- Import perl-Class-Std



* Tue May 22 2007 Shlomi Fish <shlomif@iglu.org.il> v0.0.8-1mdv2007.1
- Initial release.
